const typescript = require('@rollup/plugin-typescript')

module.exports = {
  input: './src/index.ts',
  plugins: [typescript()],
  output: [
    {
      file: './dist/index.mjs',
      format: 'esm',
      sourcemap: true,
    },
    {
      file: './dist/index.cjs',
      format: 'umd',
      name: 'Superstruct',
      sourcemap: true,
    },
  ],
}
